Page 2 of 8 FirstFirst 1234 ... LastLast
Results 11 to 20 of 79

Thread: A Packages Problem,Unable to install anything due to unconfigured and depandesies

  1. #11
    Join Date
    May 2013
    Location
    Newyork
    Beans
    35
    Distro
    Ubuntu Studio 13.10 Saucy Salamander

    Re: A Packages Problem,Unable to install anything due to unconfigured and depandesies

    matt_symes;
    so this is by order
    Code:
     thekoalover@Batman:~$ stat /var/lib/dpkg/info/lsb-release.postinst
      File: `/var/lib/dpkg/info/lsb-release.postinst'
      Size: 871           Blocks: 8          IO Block: 4096   regular file
    Device: 801h/2049d    Inode: 20713729    Links: 1
    Access: (0755/-rwxr-xr-x)  Uid: (    0/    root)   Gid: (    0/    root)
    Access: 2013-05-30 01:13:07.541153986 +0200
    Modify: 2012-10-24 02:34:42.000000000 +0200
    Change: 2013-03-05 03:42:49.647701053 +0200
     Birth: -
    second:
    Code:
     thekoalover@Batman:~$ ls -li /var/lib/dpkg/info/lsb-release.postinst
    20713729 -rwxr-xr-x 1 root root 871 Oct 24  2012 /var/lib/dpkg/info/lsb-release.postinst
    Third:
    Code:
     thekoalover@Batman:~$ file /var/lib/dpkg/info/lsb-release.postinst
    /var/lib/dpkg/info/lsb-release.postinst: ERROR: cannot read `/var/lib/dpkg/info/lsb-release.postinst' (Input/output error)
    Fourth :
    Code:
     thekoalover@Batman:~$ df -h | grep /$
    /dev/sda1       457G  214G  220G  50% /
    And No I Haven't Tried Running fsck on the partition

  2. #12
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    8,619
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: A Packages Problem,Unable to install anything due to unconfigured and depandesies

    @ Matt ... As always, thanks ! I seem to be in a learning mode once again.

    My "stat" output for comparison:
    File: ‘/var/lib/dpkg/info/lsb-release.postinst’ Size: 871 Blocks: 8 IO Block: 4096 regular file
    Device: 808h/2056d Inode: 128856 Links: 1
    Access: (0755/-rwxr-xr-x) Uid: ( 0/ root) Gid: ( 0/ root)
    Access: 2013-05-19 10:55:21.600505048 -0500
    Modify: 2012-10-23 19:32:46.000000000 -0500
    Change: 2013-05-19 10:54:54.616844279 -0500
    Birth: -
    What is the significance of thekoalover's output "+0200" as opposed to mine "-500" mean ?

    @ thekoalover; Following Matt's lead; what does the "lsb-release.postinst" script file look like ?
    post the output of:
    Code:
    cat /var/lib/dpkg/info/lsb-release.postinst 



    as I continue to play catch-up

    Last edited by Bashing-om; May 30th, 2013 at 09:50 PM. Reason: code tags messed up.
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubutu'n !

  3. #13
    Join Date
    Dec 2009
    Location
    Fareham, UK
    Beans
    1,930
    Distro
    Ubuntu

    Re: A Packages Problem,Unable to install anything due to unconfigured and depandesies

    Quote Originally Posted by Bashing-om View Post
    @ Matt ... As always, thanks ! I seem to be in a learning mode once again.

    My "stat" output for comparison:

    What is the significance of thekoalover's output "+0200" as opposed to mine "-500" mean ?

    @ thekoalover; Following Matt's lead; what does the "lsb-release.postinst" script file look like ?
    post the output of:
    Code:
     /
    Code:
    var/lib/dpkg/info/lsb-release.postinst



    as I continue to play catch-up


    It looks like a time-stamp. In your case Bashing-om UTC minus 5 hours. in the OPs case, UTC plus 2 hours.


    Purely for comparison purposes here is mine, I am in the UK.

    Code:
    graham@graham-Aspire-5755G:~$ stat /var/lib/dpkg/info/lsb-release.postinst  File: `/var/lib/dpkg/info/lsb-release.postinst'
      Size: 871       	Blocks: 8          IO Block: 4096   regular file
    Device: 816h/2070d	Inode: 2231710     Links: 1
    Access: (0755/-rwxr-xr-x)  Uid: (    0/    root)   Gid: (    0/    root)
    Access: 2013-04-30 12:45:44.595490455 +0100
    Modify: 2012-10-24 01:38:33.000000000 +0100
    Change: 2012-10-29 14:53:05.559253464 +0000
    Other that this I have no ideas about the OPs issue or how to fix it.

  4. #14
    Join Date
    May 2013
    Location
    Newyork
    Beans
    35
    Distro
    Ubuntu Studio 13.10 Saucy Salamander

    Re: A Packages Problem,Unable to install anything due to unconfigured and depandesies

    @Bashing-Om this happen
    Code:
     thekoalover@Batman:~$ /var/lib/dpkg/info/lsb-release.postinst
    bash: /var/lib/dpkg/info/lsb-release.postinst: Input/output error

  5. #15
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    8,619
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: A Packages Problem,Unable to install anything due to unconfigured and depandesies

    thekoalover; OOppss -> thought I had fixed that "messed up code tags" lemme try again.
    Code:
     cat /var/lib/dpkg/info/lsb-release.postinst
    Don't know what is happening within my browser that "additional" code tags are being added. happened on this post also--- so maually typed the above - carefully check the path for errors in my typing.


    @
    westie457 , thanks ,for the "time stamp" info advisement, honestly I did not want to take the time at this time to read the manual, had no idea it would be such !

    nothing better to do ? Let's read some code !
    Last edited by Bashing-om; May 31st, 2013 at 11:27 PM.
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubutu'n !

  6. #16
    Join Date
    May 2013
    Location
    Newyork
    Beans
    35
    Distro
    Ubuntu Studio 13.10 Saucy Salamander

    Re: A Packages Problem,Unable to install anything due to unconfigured and depandesies

    @Bashing-om This
    Code:
    thekoalover@Batman:~$ cat /var/lib/dpkg/info/lsb-release-postinst
    cat: /var/lib/dpkg/info/lsb-release-postinst: No such file or directory

  7. #17
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    8,619
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: A Packages Problem,Unable to install anything due to unconfigured and depandesies

    thekoalover;

    Regret the delay in getting back with you, storms and power outages here on my end, one of them caught me big time too - fixed it all up and back in business ...
    The missing file we may be able to overcome. Verify though that it is no longer in existence.

    Oopsie again on my part, var is correct, no such file exist. Correct sequence - I will correct my post-

    Code:
    cat /var/lib/dpkg/info/lsb-release.postinst
    from the typeo

    and then we will take off again


    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubutu'n !

  8. #18
    Join Date
    Jun 2007
    Beans
    14,113

    Re: A Packages Problem,Unable to install anything due to unconfigured and depandesies

    A couple of things for possible use -
    Do you have the lsb-release package available (maybe dpkg can configure or install
    Code:
    ls /var/cache/apt/archives |grep lsb
    You mentioned trying all sorts of commands, did you try to configure lsb-release or all unconfigured packages?

    Code:
    sudo dpkg --configure lsb-release
    Code:
    sudo dpkg --configure --pending
    This is just a simulation - want to see if apt is willing to/can purge lsb-release

    Code:
    sudo apt-get -s purge lsb-release
    Last edited by mc4man; June 1st, 2013 at 03:44 AM. Reason: spelling

  9. #19
    Join Date
    May 2013
    Location
    Newyork
    Beans
    35
    Distro
    Ubuntu Studio 13.10 Saucy Salamander

    Re: A Packages Problem,Unable to install anything due to unconfigured and depandesies

    @Bashing-om Still :/
    Code:
     thekoalover@Batman:~$ cat /var/lib/dpkg/info/lsb-release.postinst
    cat: /var/lib/dpkg/info/lsb-release.postinst: Input/output error

    @mc4man thanks for replying, by order
    Code:
     thekoalover@Batman:~$ ls /var/cache/apt/archives |grep lsb
    thekoalover@Batman:~$


    Code:
     thekoalover@Batman:~$ sudo dpkg --configure lsb-release
    [sudo] password for thekoalover: 
    Setting up lsb-release (4.0-0ubuntu26.1) ...
    dpkg (subprocess): unable to execute installed post-installation script (/var/lib/dpkg/info/lsb-release.postinst): Input/output error
    dpkg: error processing lsb-release (--configure):
     subprocess installed post-installation script returned error exit status 2
    Errors were encountered while processing:
     lsb-release
    Code:
     thekoalover@Batman:~$ sudo dpkg --configure --pending
    dpkg: dependency problems prevent configuration of python-apport:
     python-apport depends on lsb-release; however:
      Package lsb-release is not configured yet.
    
    dpkg: error processing python-apport (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of update-manager-core:
     update-manager-core depends on lsb-release; however:
      Package lsb-release is not configured yet.
    
    dpkg: error processing update-manager-core (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of python3-update-manager:
     python3-update-manager depends on lsb-release; however:
      Package lsb-release is not configured yet.
    
    dpkg: error processing python3-update-manager (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of python3-distupgrade:
     python3-distupgrade depends on python3-update-manager; however:
      Package python3-update-manager is not configured yet.
     python3-distupgrade depends on lsb-release; however:
      Package lsb-release is not configured yet.
    
    dpkg: error processing python3-distupgrade (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of python3-apport:
     python3-apport depends on lsb-release; however:
      Package lsb-release is not configured yet.
    
    dpkg: error processing python3-apport (--configure):
     dependency problems - leaving unconfigured
    Setting up ubuntu-drivers-common (1:0.2.71.1) ...
    [Errno 2] No such file or directory: '/usr/share/ubuntu-drivers-common/detect/sl-modem.py'
    [Errno 2] No such file or directory: '/usr/share/ubuntu-drivers-common/detect/arm-gles.py'
    [Errno 2] No such file or directory: '/usr/share/ubuntu-drivers-common/detect/open-vm-dkms.py'
    dpkg: error processing ubuntu-drivers-common (--configure):
     subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of firefox:
     firefox depends on lsb-release; however:
      Package lsb-release is not configured yet.
    
    dpkg: error processing firefox (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of update-manager:
     update-manager depends on update-manager-core (= 1:0.174.4); however:
      Package update-manager-core is not configured yet.
    
    dpkg: error processing update-manager (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of ubuntu-release-upgrader-gtk:
     ubuntu-release-upgrader-gtk depends on update-manager; however:
      Package update-manager is not configured yet.
     ubuntu-release-upgrader-gtk depends on python3-distupgrade (= 1:0.190.5); however:
      Package python3-distupgrade is not configured yet.
    
    dpkg: error processing ubuntu-release-upgrader-gtk (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of firefox-globalmenu:
     firefox-globalmenu depends on firefox (= 19.0+build1-0ubuntu0.12.10.2); however:
      Package firefox is not configured yet.
    
    dpkg: error processing firefox-globalmenu (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of ubuntu-release-upgrader-core:
     ubuntu-release-upgrader-core depends on python3-distupgrade (= 1:0.190.5); however:
      Package python3-distupgrade is not configured yet.
    
    dpkg: error processing ubuntu-release-upgrader-core (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of xul-ext-unity:
     xul-ext-unity depends on firefox (>= 10.0); however:
      Package firefox is not configured yet.
    
    dpkg: error processing xul-ext-unity (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of firefox-gnome-support:
     firefox-gnome-support depends on firefox; however:
      Package firefox is not configured yet.
    
    dpkg: error processing firefox-gnome-support (--configure):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     python-apport
     update-manager-core
     python3-update-manager
     python3-distupgrade
     python3-apport
     ubuntu-drivers-common
     firefox
     update-manager
     ubuntu-release-upgrader-gtk
     firefox-globalmenu
     ubuntu-release-upgrader-core
     xul-ext-unity
     firefox-gnome-support
    Code:
     thekoalover@Batman:~$ sudo apt-get -s purge lsb-release
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
      linux-headers-3.5.0-17 linux-headers-3.5.0-17-generic ttf-droid ttf-umefont
      ttf-unfonts-core wine-gecko1.4
    Use 'apt-get autoremove' to remove them.
    The following extra packages will be installed:
      libufe-xidgetter0
    The following packages will be REMOVED:
      apport* apport-gtk* apturl* apturl-common* command-not-found* firefox*
      firefox-globalmenu* firefox-gnome-support* gir1.2-ubuntuoneui-3.0*
      libsyncdaemon-1.0-1* libubuntuoneui-3.0-1*
      lightdm-remote-session-uccsconfigure* lsb-release* nautilus-share*
      python-apport* python3-apport* python3-distupgrade*
      python3-software-properties* python3-update-manager* rhythmbox-ubuntuone*
      software-properties-common* software-properties-gtk* ubuntu-desktop*
      ubuntu-minimal* ubuntu-release-upgrader-core* ubuntu-release-upgrader-gtk*
      ubuntuone-client* ubuntuone-client-gnome* ubuntuone-control-panel*
      ubuntuone-control-panel-qt* unattended-upgrades* unity-scope-musicstores*
      update-manager* update-manager-core* update-notifier* xdiagnose*
      xul-ext-unity* xul-ext-websites-integration*
    The following packages will be upgraded:
      libufe-xidgetter0
    1 upgraded, 0 newly installed, 38 to remove and 175 not upgraded.
    17 not fully installed or removed.
    Purg apport-gtk [2.6.1-0ubuntu10]
    Purg apport [2.6.1-0ubuntu10]
    Purg firefox-gnome-support [19.0+build1-0ubuntu0.12.10.2]
    Purg firefox-globalmenu [19.0+build1-0ubuntu0.12.10.2]
    Purg xul-ext-unity [2.4.1-0ubuntu1.2]
    Purg xul-ext-websites-integration [2.3.5-0ubuntu1]
    Purg lightdm-remote-session-uccsconfigure [1.1-0ubuntu2]
    Purg firefox [19.0+build1-0ubuntu0.12.10.2]
    Purg ubuntu-desktop [1.287]
    Purg ubuntu-release-upgrader-gtk [1:0.190.5] [update-manager:i386 update-notifier:i386 ]
    Purg update-manager [1:0.174.4] [update-notifier:i386 ]
    Purg update-notifier [0.126]
    Purg update-manager-core [1:0.174.4]
    Purg ubuntu-release-upgrader-core [1:0.190.5]
    Purg nautilus-share [0.7.3-1ubuntu3]
    Purg apturl [0.5.1ubuntu6]
    Purg apturl-common [0.5.1ubuntu6]
    Purg python3-distupgrade [1:0.190.5] [python3-update-manager:i386 ]
    Purg python3-update-manager [1:0.174.4]
    Purg xdiagnose [3.2.2]
    Purg python3-apport [2.6.1-0ubuntu10]
    Purg ubuntuone-control-panel-qt [4.0.0-0ubuntu1]
    Purg ubuntuone-control-panel [4.0.0-0ubuntu1]
    Purg ubuntuone-client-gnome [4.0.0-0ubuntu1]
    Purg unity-scope-musicstores [6.8.1-0ubuntu1]
    Purg rhythmbox-ubuntuone [4.0.0-0ubuntu1]
    Purg gir1.2-ubuntuoneui-3.0 [4.0.0-0ubuntu1]
    Purg libubuntuoneui-3.0-1 [4.0.0-0ubuntu1]
    Purg libsyncdaemon-1.0-1 [4.0.0-0ubuntu1]
    Purg ubuntuone-client [4.0.0-0ubuntu1]
    Purg python-apport [2.6.1-0ubuntu10]
    Purg software-properties-gtk [0.92.9]
    Purg software-properties-common [0.92.9]
    Purg python3-software-properties [0.92.9]
    Purg unattended-upgrades [0.79.3ubuntu4]
    Purg ubuntu-minimal [1.287]
    Purg command-not-found [0.3ubuntu5]
    Purg lsb-release [4.0-0ubuntu26.1]
    Inst libufe-xidgetter0 [2.4.1-0ubuntu1.2] (2.4.4-0ubuntu0.2 Ubuntu:12.10/quantal-updates [i386])
    Conf ubuntu-drivers-common (1:0.2.71.1 Ubuntu:12.10/quantal-updates [i386])
    Conf libufe-xidgetter0 (2.4.4-0ubuntu0.2 Ubuntu:12.10/quantal-updates [i386])

  10. #20
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    8,619
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: A Packages Problem,Unable to install anything due to unconfigured and depandesies

    @ thekoalover; Making progress !

    But, that last leaves me hanging .... did you enter "y" to do it ???
    Let's look at what the package manager thinks now:
    Code:
     sudo dpkg -C
    That is an uppercase 'c' ... consult the manual for full details:
    Code:
    man dpkg
    long read, then might want to follow the advise given and consult the "shorter" docs.

    we be stepp'n

    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubutu'n !

Page 2 of 8 FirstFirst 1234 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •